export declare type AddressEx = {
    value: string;
    name?: string;
    logoUri?: string;
};
export declare type FiatCurrencies = string[];
export declare type OwnedSafes = {
    safes: string[];
};
export declare enum TokenType {
    ERC20 = "ERC20",
    ERC721 = "ERC721",
    NATIVE_TOKEN = "NATIVE_TOKEN"
}
/**
 * @see https://github.com/safe-global/safe-client-gateway/blob/main/src/common/models/backend/balances.rs
 */
export declare type TokenInfo = {
    type: TokenType;
    address: string;
    decimals: number;
    symbol: string;
    name: string;
    logoUri: string;
};
export declare type SafeBalanceResponse = {
    fiatTotal: string;
    items: Array<{
        tokenInfo: TokenInfo;
        balance: string;
        fiatBalance: string;
        fiatConversion: string;
    }>;
};
export declare type Page<T> = {
    next?: string;
    previous?: string;
    results: Array<T>;
};
export declare type SafeCollectibleResponse = {
    address: string;
    tokenName: string;
    tokenSymbol: string;
    logoUri: string;
    id: string;
    uri: string;
    name: string;
    description: string;
    imageUri: string;
    metadata: {
        [key: string]: string;
    };
};
export declare type SafeCollectiblesPage = Page<SafeCollectibleResponse>;
